
// ObjView.java
// Andrew Davison, July 2004, dandrew@ratree.psu.ac.th

/* Load, display and examine a Wavefront file (.obj file).

   The examination generates an examObj.txt file which
   contains the text of methods containing the model's
   vertices, normals, texture coordinates, colour coordinates,
   and strip lengths. 

   These methods can be pasted into the MIDP ModelCanvas.java
   class to allow the model to be displayed in a J2ME device.
*/

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;


public class ObjView extends JFrame
{
  // private static final String MODEL_DIR = "Models/";

  public ObjView(String fnm) 
  {
    super("ObjView");
    Container c = getContentPane();
    c.setLayout( new BorderLayout() );
    WrapObjView w3d = new WrapObjView(fnm);     
                               // panel holding the 3D canvas
    c.add(w3d, BorderLayout.CENTER);

    setDefaultCloseOperation( JFrame.EXIT_ON_CLOSE );
    pack();
    setResizable(false);    // fixed size display
    show();
  } // end of ObjView()


// -----------------------------------------

  public static void main(String[] args)
  { 
    if (args.length != 1) {
      System.out.println("Usage: java ObjView <.obj fnm>");
      System.exit(1);
    }
    new ObjView(args[0]); 
  }

} // end of ObjView class
